/*
 * validator_attr_data.h
 *
 * Copyright 2023 Jonathan Schöbel <jonathan@xn--schbel-yxa.info>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#ifndef SEFHT_VALIDATOR_ATTR_DATA_H
#define SEFHT_VALIDATOR_ATTR_DATA_H

#if !defined (SEFHT_SEFHT_H_INSIDE) && !defined (SEFHT_COMPILATION)
#error "Only <sefht/sefht.h> can be included directly."
#endif

struct attr_tag_info
{
	/*@relnull@*/ /*@dependent@*/ const char * name;
};

struct attr_info
{
	/*@only@*/ char * name;
	size_t tag_n;
	struct attr_tag_info * tags;
};

#define ATTR_DATA                                                      \
	/*@only@*/ struct attr_info * attrs;                           \
	size_t attr_n;                                                 \

#endif /* SEFHT_VALIDATOR_ATTR_DATA_H */
